using Programmation_objet_TLESIO21.TD3.fleuriste;

public static class TestBouquet {
    public static void Exo2() {
		Fleur rose = new Fleur("rose",2.6);
		Fleur tulipe = new Fleur("tulipe",0.4);
		Fleur oeillet = new Fleur("oeillet",1.8);
		
		LotFleur lotroses = new LotFleur(rose,5);
		LotFleur lottulipes = new LotFleur(tulipe,7);
		LotFleur lotoeillets = new LotFleur(oeillet,3);
		
		Bouquet b = new Bouquet(lotroses, lottulipes, lotoeillets);
		Console.WriteLine(b.ToString());
		
		Stock magasin = new Stock(rose,tulipe,oeillet);
        Console.WriteLine(magasin.ToString());
		magasin.AjouteFleur(rose, 100);
		magasin.AjouteFleur(tulipe, 150);
		magasin.AjouteFleur(oeillet, 200);
        Console.WriteLine(magasin.ToString());
		// Est-ce que le stock permet de produire le bouquet b ?
		Boolean orderBouquet = magasin.BouquetFaisable(b);
        Console.WriteLine("Est-ce que le stock permet de produire le bouquet ? " + orderBouquet);
	}
}
